class Array
  def subset?(other)
    self.each do |x|
      if !(other.include? x)
         return false
      end
    end
    true
  end
  def superset?(other)
    other.subset?(self)
  end
end

a = [1, 2, 3, 4]
b = [2, 3]
c = [2, 3, 4, 5]
flag1 = c.subset? a     # false
flag2 = b.subset? a     # true
flag3 = c.superset? b   # true

